using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DAL
{
    //notice:
    // below code must defined interface ;) not class ;) be carefull :D
    public interface IUserRepository : IDisposable
    {
        

        // /بعدا انجام خواهد شد
        //Models.User GetUserById(int userId);
        //void DeleteUser(System.Guid userId);
        //void UpdateUser(Models.User user);


        IEnumerable<Models.User> GetUsers();
        void InsertUser(Models.User user);
        void Save();
    }
}